QXmpp Version:0.7.6

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Functions Variables Enumerations Enumerator Properties Groups
Public Member Functions | List of all members
QXmppRegisterIq Class Reference
Stanzas

The QXmppRegisterIq class represents a registration IQ as defined by XEP-0077: In-Band Registration. More...

`#include <QXmppRegisterIq.h>`

Inheritance diagram for QXmppRegisterIq:

## Public Member Functions

QString | email () const
| Returns the email for this registration IQ.
void | setEmail (const QString &email)
| Sets the email for this registration IQ.
QXmppDataForm | form () const
| Returns the QXmppDataForm for this registration IQ.
void | setForm (const QXmppDataForm &form)
QString | instructions () const
| Returns the instructions for this registration IQ.
void | setInstructions (const QString &instructions)
| Sets the instructions for this registration IQ.
QString | password () const
| Returns the password for this registration IQ.
void | setPassword (const QString &username)
| Sets the password for this registration IQ.
QString | username () const
| Returns the username for this registration IQ.
void | setUsername (const QString &username)
| Sets the username for this registration IQ.
Public Member Functions inherited from QXmppIq
| QXmppIq (QXmppIq::Type type=QXmppIq::Get)
| QXmppIq (const QXmppIq &other)
| Constructs a copy of other.
QXmppIq & | operator= (const QXmppIq &other)
| Assigns other to this IQ.
QXmppIq::Type | type () const
void | setType (QXmppIq::Type)
Public Member Functions inherited from QXmppStanza
| QXmppStanza (const QString &from=QString(), const QString &to=QString())
| QXmppStanza (const QXmppStanza &other)
| Constructs a copy of other.
virtual | ~QXmppStanza ()
| Destroys a QXmppStanza.
QXmppStanza & | operator= (const QXmppStanza &other)
| Assigns other to this stanza.
QString | to () const
void | setTo (const QString &)
QString | from () const
| Returns the stanza's sender JID.
void | setFrom (const QString &)
QString | id () const
| Returns the stanza's identifier.
void | setId (const QString &)
QString | lang () const
| Returns the stanza's language.
void | setLang (const QString &)
QXmppStanza::Error | error () const
| Returns the stanza's error.
void | setError (const QXmppStanza::Error &error)
QXmppElementList | extensions () const
void | setExtensions (const QXmppElementList &elements)
QList< QXmppExtendedAddress > | extendedAddresses () const
void | setExtendedAddresses (const QList< QXmppExtendedAddress > &extendedAddresses)

## Additional Inherited Members

Public Types inherited from QXmppIq
enum | Type { Error = 0, Get, Set, Result }
| This enum describes the type of IQ. More...

## Detailed Description

The QXmppRegisterIq class represents a registration IQ as defined by XEP-0077: In-Band Registration.

It is used to create an account on the server.

## Member Function Documentation

void QXmppRegisterIq::setForm | ( | const QXmppDataForm & | form | ) |

Sets the QXmppDataForm for this registration IQ.

Parameters

  form |

The documentation for this class was generated from the following files:

- QXmppRegisterIq.h
- QXmppRegisterIq.cpp